com.mysql.cj.xdevapi

## Enum DatabaseObject.DbObjectStatus

- java.lang.Object
- - java.lang.Enum<DatabaseObject.DbObjectStatus>
  - - com.mysql.cj.xdevapi.DatabaseObject.DbObjectStatus

All Implemented Interfaces:
  Serializable, Comparable<DatabaseObject.DbObjectStatus>

Enclosing interface:
  DatabaseObject

    public static enum DatabaseObject.DbObjectStatus
    extends Enum<DatabaseObject.DbObjectStatus>

Existence states of database objects.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXISTS`
`NOT_EXISTS`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabaseObject.DbObjectStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DatabaseObject.DbObjectStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXISTS

    public static final DatabaseObject.DbObjectStatus EXISTS

#### NOT_EXISTS

    public static final DatabaseObject.DbObjectStatus NOT_EXISTS

#### UNKNOWN

    public static final DatabaseObject.DbObjectStatus UNKNOWN

### Method Detail

#### values

    public static DatabaseObject.DbObjectStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabaseObject.DbObjectStatus c : DatabaseObject.DbObjectStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabaseObject.DbObjectStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2022, Oracle and/or its affiliates.